=== modified file 'tests/include/index_merge2.inc'
--- tests/include/index_merge2.inc	2009-03-11 06:37:19 +0000
+++ tests/include/index_merge2.inc	2009-06-16 03:01:29 +0000
@@ -112,7 +112,7 @@
   index i1(key1a, key1b),
   index i2(key2a, key2b),
   index i3(key3a, key3b)
-) ENGINE=myisam;
+);
 
 create table t2 (a int);
 insert into t2 values (0),(1),(2),(3),(4),(NULL);
@@ -126,12 +126,14 @@
 analyze table t1;
 select count(*) from t1;
 
+--replace_column 9 #
 explain select count(*) from t1 where
   key1a = 2 and key1b is null and  key2a = 2 and key2b is null;
 
 select count(*) from t1 where
   key1a = 2 and key1b is null and key2a = 2 and key2b is null;
 
+--replace_column 9 #
 explain select count(*) from t1 where
   key1a = 2 and key1b is null and key3a = 2 and key3b is null;
 

=== modified file 'tests/r/index_merge_innodb.result'
--- tests/r/index_merge_innodb.result	2009-06-16 00:53:22 +0000
+++ tests/r/index_merge_innodb.result	2009-06-16 03:01:29 +0000
@@ -108,18 +108,18 @@
 select count(*) from t1;
 count(*)
 5184
-select count(*) from t1 where
+explain select count(*) from t1 where
 key1a = 2 and key1b is null and  key2a = 2 and key2b is null;
-count(*)
-4
+id	select_type	table	type	possible_keys	key	key_len	ref	rows	Extra
+1	SIMPLE	t1	index_merge	i1,i2	i1,i2	10,10	NULL	#	Using intersect(i1,i2); Using where; Using index
 select count(*) from t1 where
 key1a = 2 and key1b is null and key2a = 2 and key2b is null;
 count(*)
 4
-select count(*) from t1 where
+explain select count(*) from t1 where
 key1a = 2 and key1b is null and key3a = 2 and key3b is null;
-count(*)
-4
+id	select_type	table	type	possible_keys	key	key_len	ref	rows	Extra
+1	SIMPLE	t1	index_merge	i1,i3	i1,i3	10,10	NULL	#	Using intersect(i1,i3); Using where; Using index
 select count(*) from t1 where
 key1a = 2 and key1b is null and key3a = 2 and key3b is null;
 count(*)

